#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f1)
%global		builddirstools	as10k1 echomixer envy24control hdspconf hdspmixer hwmixvolume rmedigicontrol sbiload sscape_ctl us428control hda-verb hdajackretask hdajacksensetest 
%global		builddirsfirmw	hdsploader mixartloader usx2yloader vxloader
#-----------------------------------------------------------------------------
Name		:	alsa-tools
Version		:	1.2.5
Release		:	14.8.0.0%{?dist}
Summary		:	Specialist tools for ALSA
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	ftp://ftp.alsa-project.org/pub/tools

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	alsa-lib
BuildRequires	:	fltk
BuildRequires	:	gtk2+
BuildRequires	:	gtk3+

Requires	:	alsa-plugins
Requires	:	alsa-utils
Requires(post)	:	glibc
Requires(postun):	glibc
#-----------------------------------------------------------------------------
%description
This package contains several specialist tools for use with ALSA, including
a number of programs that provide access to special hardware facilities on
certain sound cards.
 
* as10k1 - AS10k1 Assembler
%ifnarch ppc ppc64
* cspctl - Sound Blaster 16 ASP/CSP control program
%endif
* echomixer - Mixer for Echo Audio (indigo) devices
* envy24control - Control tool for Envy24 (ice1712) based soundcards
* hdspmixer - Mixer for the RME Hammerfall DSP cards
* hwmixvolume - Control the volume of individual streams on sound cards that
  use hardware mixing
* rmedigicontrol - Control panel for RME Hammerfall cards
* sbiload - An OPL2/3 FM instrument loader for ALSA sequencer
* sscape_ctl - ALSA SoundScape control utility
* us428control - Control tool for Tascam 428
* hda-verb - Direct HDA codec access
* hdajackretask - Reassign the I/O jacks on the HDA hardware
* hdajacksensetest - The sense test for the I/O jacks on the HDA hardware
 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_sysconfdir}/hotplug/usb/*
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/sounds/opl3/*.{o3,sb}
%{_mandir}/man1/*.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)

mv seq/sbiload . ; rm -rf seq


#to fix problem with __user definition within cxx files
sed -i								\
  -e "/#include/i #define __user"				\
  hdspconf/src/*.cxx						\
  hdspmixer/src/*.cxx						\
  hdsploader/hdsploader.c					\

export CXXFLAGS="${CXXFLAGS} -fpermissive"
for tool in %{builddirstools} %{builddirsfirmw}
  do
  echo $tool
  pushd $tool 
  autoconf -f -i
  ./configure							\
	__user=''						\
        --prefix=%{_prefix}					\
	--includedir=%{_includedir}				\
	--exec-prefix=%{_exec_prefix}				\
        --sysconfdir=%{_sysconfdir}				\
        --sbindir=%{_sbindir}					\
	--mandir=%{_mandir}					\
	--libdir=%{_libdir}					\
	--infodir=%{_infodir}					\
	--docdir=%{_defaultdocdir}/%{name}-%{version}		\
	--disable-static					\
   
   %{__make} %{_smp_mflags} || exit 1
   popd
   done

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

for tool in %{builddirstools} %{builddirsfirmw}
  do
  echo $tool
  pushd $tool 
  %{__make}							\
	DESTDIR=%{buildroot}					\
	install
  popd
  done

#-----------------------------------------------------------------------------
%changelog

